<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>AVM2: </title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.7.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<p><a name="throw"></a></p>
<h2><a class="anchor" id="throw"></a>
throw</h2>
<h3><a class="anchor" id="operation"></a>
Operation</h3>
<p>Throws an exception.</p>
<h3><a class="anchor" id="format"></a>
Format</h3>
<div class="fragment"><pre class="fragment"><span class="keywordflow">throw</span>
</pre></div><h3><a class="anchor" id="forms"></a>
Forms</h3>
<div class="fragment"><pre class="fragment"><span class="keywordflow">throw</span> = 3 (0x03)
</pre></div> <h3><a class="anchor" id="stack"></a>
Stack</h3>
<div class="fragment"><pre class="fragment">..., value =&gt; ...
</pre></div><h3><a class="anchor" id="description"></a>
Description</h3>
<p>The top value of the stack is popped off the stack and then thrown. The thrown value can be of any type.</p>
<p>When a throw is executed, the current method’s exception handler table is searched for an exception handler. An exception handler matches if its range of offsets includes the offset of this instruction, and if its type matches the type of the thrown object, or is a base class of the type thrown. The first handler that matches is the one used.</p>
<p>If a handler is found then the stack is cleared, the exception object is pushed onto the stack, and then execution resumes at the instruction offset specified by the handler.</p>
<p>If a handler is not found, then the method exits, and the exception is rethrown in the invoking method, at which point it is searched for an exception handler as described here.</p>
<h3><a class="anchor" id="rt_execeptions"></a>
Runtime exceptions</h3>
<p>None.</p>
<h3><a class="anchor" id="notes"></a>
Notes</h3>
<p>None. </p>
</div>
<hr class="footer"/><address class="footer"><small>Generated on Thu Jan 6 2011 10:19:15 for AVM2 by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.7.1 </small></address>
</body>
</html>
